Bug 731545 - Would be nice to have an automatic function that resets the sort numbers.
Summary: Would be nice to have an automatic function that resets the sort numbers.
Keywords:
Status: NEW
Alias: None
Product: TCMS
Classification: Other
Component: Usability
Version: 3.4.1
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.0
Assignee: June Zhang
QA Contact: tools-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-17 20:36 UTC by Paul Vine
Modified: 2016-05-26 13:15 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Paul Vine 2011-08-17 20:36:13 UTC
Description of problem:
As test cases are added to a plan it would be nice to have a function that would automatically regenerate the sort numbers when requested. This would be used in the case where an additional number of tests were added to an existing plan between two already defined numbers. The function would then renumber all tests with fixed "spacing" keeping all test in the same sort order as before thereby creating "space" within the tests that were added without having to manually renumber all. 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Ales Zelinka 2012-12-06 15:01:08 UTC
I believe this happens automatically when you use the drag & drop sorting functionality (the "Re-order cases" link available from "cases" tab in a test plan).


Note You need to log in before you can comment on or make changes to this bug.